import random
import pgzrun

TITLE = "Paf l'oiseau"
WIDTH = 400
HEIGHT = 708

titi = Actor('bird1', (75, 350))
titi.speed = 1
ecart = 140
tube_superieur = Actor('top', (300, 0))
tube_inferieur = Actor('bottom', (300, tube_superieur.height + ecart))
vitesse_defilement = 2
gravite = 0.3

fond = Actor('background', (200,350))
fond2 = Actor('background', (-200,350))

def draw():
    fond.draw()
    fond2.draw()
    tube_superieur.draw()
    tube_inferieur.draw()
    titi.draw()
    

def on_mouse_down():
    print('Clic souris !')
    titi.y -= 30
    
    
def reset():
    print("Retour au départ...")
    titi.speed = 1
    titi.center = (75, 350)
    tube_superieur.center = (300, 0)
    tube_inferieur.center = (300, tube_superieur.height + ecart)
    titi.image = "bird1"
    
def heurte_tube() :
    print ("Paf !")
    titi.image = "birddead" # (oiseau mort)
    if titi.y < 700 :
        titi.y += 5 


def update():
    fond.x += 1.1
    fond2.x += 1.1
    if fond.x > 400 :
        fond.x = 200
    if fond2.x > 200 :
        fond2.x = 0
    titi.y += titi.speed
    tube_superieur.x -= vitesse_defilement
    tube_inferieur.x -= vitesse_defilement
    if tube_superieur.x + tube_superieur.width/2< 0 :
        tube_superieur.x = 400
        tube_inferieur.x = 400
    if (titi.colliderect(tube_superieur)) :
        heurte_tube()
    if (titi.colliderect(tube_inferieur)) :
        heurte_tube()
    if titi.y > HEIGHT :
        reset()
    if titi.y < 0 :
        reset()
    if (titi.colliderect(tube_inferieur)) :
        heurte_tube()
    
        
 #print(tube_superieur.width, tube_superieur.height)

pgzrun.go()